Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class ResponseStatus

    java.lang.Object
      com.compoze.exchange.ResponseStatus

All Implemented Interfaces:
  java.io.Serializable

public class ResponseStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'response status'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static ResponseStatus` | `ACCEPTED` This value represents a response status of 'accepted'.
`static ResponseStatus` | `DECLINED` This value represents a response status of 'declined'.
`static ResponseStatus` | `NONE` This value represents a response status of 'none'.
`static ResponseStatus` | `NOT_RESPONDED` This value represents a response status of 'not responded'.
`static ResponseStatus` | `ORGANIZED` This value represents a response status of 'organized'.
`static int` | `STORE_VALUE_ACCEPTED` This value represents the 'accepted' store value.
`static int` | `STORE_VALUE_DECLINED` This value represents the 'declined' store value.
`static int` | `STORE_VALUE_NONE` This value represents the 'none' store value.
`static int` | `STORE_VALUE_NOT_RESPONDED` This value represents the 'not responded' store value.
`static int` | `STORE_VALUE_ORGANIZED` This value represents the 'organized' store value.
`static int` | `STORE_VALUE_TENTATIVE` This value represents the 'tentative' store value.
`static ResponseStatus` | `TENTATIVE` This value represents a response status of 'tentative'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ResponseStatus` | `get(int iStoreValue)` Gets the response status by its store value.
`static java.util.List` | `getList()` Gets the list of response status levels.
`java.lang.String` | `getName()` Gets the name of the response status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the response status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the response status in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_NONE

    public static final int STORE_VALUE_NONE

  This value represents the 'none' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_ORGANIZED

    public static final int STORE_VALUE_ORGANIZED

  This value represents the 'organized' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_TENTATIVE

    public static final int STORE_VALUE_TENTATIVE

  This value represents the 'tentative' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_ACCEPTED

    public static final int STORE_VALUE_ACCEPTED

  This value represents the 'accepted' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DECLINED

    public static final int STORE_VALUE_DECLINED

  This value represents the 'declined' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_NOT_RESPONDED

    public static final int STORE_VALUE_NOT_RESPONDED

  This value represents the 'not responded' store value.

  See Also:
    Constant Field Values

### NONE

    public static final ResponseStatus NONE

  This value represents a response status of 'none'.

### ORGANIZED

    public static final ResponseStatus ORGANIZED

  This value represents a response status of 'organized'.

### TENTATIVE

    public static final ResponseStatus TENTATIVE

  This value represents a response status of 'tentative'.

### ACCEPTED

    public static final ResponseStatus ACCEPTED

  This value represents a response status of 'accepted'.

### DECLINED

    public static final ResponseStatus DECLINED

  This value represents a response status of 'declined'.

### NOT_RESPONDED

    public static final ResponseStatus NOT_RESPONDED

  This value represents a response status of 'not responded'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the response status using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the response status using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the response status in the storage system.

  Returns:
    the store value

### get

    public static ResponseStatus get(int iStoreValue)

  Gets the response status by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching response status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of response status levels.

  Returns:
    the list of `ResponseStatus`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check (must be an `ResponseStatus` or else a `ClassCastException` is thrown)
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.